Page MenuHomePhabricator

apifeedcontributions: Call to a member function getText() on a non-object (null)
Open, Needs TriagePublic

Description

Request ID: XU2LUQpAMD8AABtubLcAAABV
RequestURL: https://en.wikipedia.org/w/api.php?action=feedcontributions&feedformat=atom&user=%3E

message
[XU2LUQpAMD8AABtubLcAAABV] /w/api.php?action=feedcontributions&feedformat=atom&user=202.47.42.220%20and%201%3E1   BadMethodCallException from line 72 of /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiFeedContributions.php: Call to a member function getText() on a non-object (null)
name-trace
#0 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiMain.php(1589): ApiFeedContributions->execute()
#1 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiMain.php(533): ApiMain->executeAction()
#2 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiMain.php(504): ApiMain->executeActionWithErrorHandling()
#3 /srv/mediawiki/php-1.34.0-wmf.17/api.php(86): ApiMain->execute()
#4 /srv/mediawiki/w/api.php(3): include(string)
#5 {main}

Event Timeline

Pchelolo created this task.Aug 9 2019, 8:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2019, 8:53 PM

Change 529430 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/core@master] ApiFeedContributions: Through if the username is invalid

https://gerrit.wikimedia.org/r/529430

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Aug 13 2019, 5:17 PM

Change 529430 merged by jenkins-bot:
[mediawiki/core@master] ApiFeedContributions: Throw if the username is invalid

https://gerrit.wikimedia.org/r/529430

Anomie moved this task from Needs Review to Done on the MediaWiki-API board.Aug 14 2019, 4:09 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:05 PM